#pragma once
#include "McDbObject.h"

class ARXDLL McDbMaterial : public McDbObject
{
	MCDB_DECLARE_MEMBERS(McDbMaterial);
public:
	McDbMaterial();
	virtual ~McDbMaterial();

	const MxString& getName() const;

	void setName(const MxString& sName);

	const MxString& getThreeJSMaterial() const;

	void setThreeJSMaterial(const MxString& sThreeJSMaterial);

	virtual Mcad::ErrorStatus dwgOutFields(McDbDwgFiler* pFiler) const;
	virtual Mcad::ErrorStatus dwgInFields(McDbDwgFiler* pFiler);

private:
	MxString m_sName;
	MxString m_sThreeJSMaterial;
};

